import Vue from 'vue'
import Router from 'vue-router'
import Login from '@/components/Login'
import Home from '@/components/Home'
import Welcome from '@/components/Welcome.vue'
import User from '@/components/users/User.vue'
import Rights from '@/components/power/Rights.vue'
import Roles from '@/components/power/Roles.vue'
import Cate from '@/components/goods/Cate.vue'
import Params from '@/components/goods/Params.vue'
import List from '@/components/goods/List.vue'
import Add from '@/components/goods/Add.vue'
import Order from '@/components/order/Order.vue'
import Report from '@/components/report/Report.vue'
Vue.use(Router)

const router= new Router({
 routes: [
     { path: '/', redirect: '/login' },
     { path: '/login', component: Login },
     { path: '/home', component: Home, redirect:'/welcome', //重定向
      children:[{      //重定向到子界面
       path:'/welcome',component:Welcome
     },
     {path:'/users',component:User},
     {path:'/rights',component:Rights},
     {path:'/roles',component:Roles},
     {path:'/categories',component:Cate},
     {path:'/Params',component:Params},
     {path:'/goods',component:List},
     {path:'/goods/add',component:Add},
     {path:'/orders',component:Order},
     {path:'/reports',component:Report}
     ]
     }
   ]
})

// 挂载路由导航
router.beforeEach((to,from,next)=>{
   // to将要访问的路径
   // from代表从哪个路径跳转而来
   // next是一个函数,表示放行  next('/login')强制跳转
   // 如果用户访问的是登录页,直接放行
   if(to.path==='/Login') next()
   //获取token
   const strtoken=window.sessionStorage.getItem('token')
   if(!strtoken) return next('/Login')
   next()
})
export default router
